Question about running NDS games on 3DS

Discussion in 'NDS - Flashcarts and Accessories' started by Perilomo, Dec 4, 2014.

  1. Perilomo
    OP

    Perilomo Member

    Newcomer
    20
    1
    Nov 5, 2014
    Hey guys, I am sorry if this question has been asked already - But after running search I could not find an answer to my specific question and thus I am creating a whole new post.

    I will be getting a 3DS XL soon and I know 100% that I will update the menu straight away to the latest and I am not going to bother with the Gateway, DSTwo or R4i - Gold carts because they are too expensive for me right now to buy as well as I don't really want to meddle with the 3DS itself too much.

    My question then is will I be able to run NDS games for my 3DS without these specialised carts? Can I buy an old cart that were working on older DS systems to run NDS games on the latest version of menu on a 3DS?

    Or will I still need to install some sort of an exploit on the 3DS and use 2 carts just like for 3DS games?

    I know that some of you are scratching their heads and asking themselves "Why to buy a 3DS then? Just buy an older DS system"

    Well I am planning to buy some games for the 3DS and support devs and such with time - But I am not willing to fork the prices for older games which still stand up to 15 British pounds at times for games released almost 10 years ago, thus I want a cart to play them on a fully updated 3DS

    If it is possible - Please let me know which carts are supported, and what is the process that needs to be undertaken to make it possible to play it that way.

    I've read a lot about homebrews and other modifications to the 3DS software. Is it not possible to just use the cart itself without modifying the 3DS?

    Thanks a lot in advance
     
  2. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,065
    633
    Oct 22, 2011
    Gambia, The
    You need a normal DS mode flashcard like the R4i Gold 3DS RTS (not the Deluxe version). It costs about 10$ if you order from China.
     
    Jayro likes this.
  3. Jayro

    Jayro MediCat DVD and Mini Windows 10 Developer

    Member
    GBAtemp Patron
    Jayro is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,857
    2,588
    Jul 23, 2012
    United States
    Octo Canyon
    This, but watch out for clones.
     
  4. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,065
    633
    Oct 22, 2011
    Gambia, The
    Yes, make sure to buy a R4 from R4ids.cn.
     
    Jayro likes this.
  5. Perilomo
    OP

    Perilomo Member

    Newcomer
    20
    1
    Nov 5, 2014
    Thanks for the reply,

    But with the "Normal Flashcart" (Sorry to me they all are "Normal" :D )will i still need to modify anything on the 3DS itself like the 3DS flashcarts work now? (Gateway and said R4i Gold)

    Is it dependant of the menu version? Will it work if i upgrade to latest menu version on my NAND? (Without any EmuNAND) or is it cart only modification which will suffice? As far as 10$ is not a problem, i don't want to buy a cart which i won't be able to use due to menu version or the fact i am not interested in modifying the 3DS itself

    Thanks in advance
     
  6. matpower

    matpower A Hero of Justice

    Member
    828
    671
    May 5, 2012
    Brazil
    Kazamatsuri
    DSTwo isn't a 3DS games flashcart, it can't mess with the 3DS NAND btw.
    AFAIK, the R4i should work fine on newer firmware because Nintendo stopped patching them, but you should check here before updating.
     
  7. Arithmatics

    Arithmatics I'll be holding on to you. ;}

    Member
    1,070
    252
    Jan 29, 2009
    Malaysia

    No modification required on the 3ds' behalf.

    Yes it is HEAVILY dependant. Do NOT upgrade to the latest menu version until your flashcart supports it. you know the whole 4.5~9.x whatnot shebang.
    Only update if and only if your flashcart has released an update
     
  8. Perilomo
    OP

    Perilomo Member

    Newcomer
    20
    1
    Nov 5, 2014
    Thanks a lot guys :D

    Now I am more confident in buying a flash cart. And Arithmatics - I don't mind waiting for a patch to come out as I am not going to get all the possible roms in 1 day :D

    Speaking of which - Last question, is there any requirement for menu version to play DS games?

    Kindly thanks in advance
     
  9. matpower

    matpower A Hero of Justice

    Member
    828
    671
    May 5, 2012
    Brazil
    Kazamatsuri
    3DS had DS support since Day One, so DS games work in any firmware/menu version.
     
  10. Perilomo
    OP

    Perilomo Member

    Newcomer
    20
    1
    Nov 5, 2014
    Thanks a lot guys :) You've been a ton of help
     
  11. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,065
    633
    Oct 22, 2011
    Gambia, The
    BTW as matpower said: Nintendo has stopped to block DS mode flashcards some months ago. It is unlikely that your flashcard will ever get blocked.